WKS4SpreadsheetInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
WKS4SpreadsheetInternal::State Struct Reference

the state of WKS4Spreadsheet More...

## Public Member Functions
| State ()
| constructor More...
int | getMaximalSheet (Spreadsheet::Type type=Spreadsheet::T_Spreadsheet) const
| returns the maximal spreadsheet More...
shared_ptr< Spreadsheet > | getSheet (Spreadsheet::Type type, int id)
| returns the ith real spreadsheet More...
librevenge::RVNGString | getSheetName (int id) const
| returns the ith spreadsheet More...
Spreadsheet & | getActualSheet ()
| returns the actual sheet More...
void | pushNewSheet (shared_ptr< Spreadsheet > sheet)
| create a new sheet and stack id More...
bool | popSheet ()
| try to pop the actual sheet More...

## Public Attributes
long | m_eof
| the last file position More...
int | m_version
| the file version More...
int | m_hasLICSCharacters
| int to code if the file has LICS characters:-1 means unknown, 0 means no, 1 means yes More...
StyleManager | m_styleManager
| the style manager More...
std::vector< shared_ptr< Spreadsheet > > | m_spreadsheetList
| the list of spreadsheet ( first: main spreadsheet, other report spreadsheet ) More...
std::stack< shared_ptr< Spreadsheet > > | m_spreadsheetStack
| the stack of spreadsheet id More...

## Detailed Description

the state of WKS4Spreadsheet

## Constructor & Destructor Documentation

WKS4SpreadsheetInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

Spreadsheet& WKS4SpreadsheetInternal::State::getActualSheet | ( |  | ) |
| inline

returns the actual sheet

int WKS4SpreadsheetInternal::State::getMaximalSheet | ( | Spreadsheet::Type | type = `Spreadsheet::T_Spreadsheet` | ) | const
| inline

returns the maximal spreadsheet

shared_ptr<Spreadsheet> WKS4SpreadsheetInternal::State::getSheet | ( | Spreadsheet::Type | type,
|  | int | id
| ) |  |
| inline

returns the ith real spreadsheet

librevenge::RVNGString WKS4SpreadsheetInternal::State::getSheetName | ( | int | id | ) | const
| inline

returns the ith spreadsheet

bool WKS4SpreadsheetInternal::State::popSheet | ( |  | ) |
| inline

try to pop the actual sheet

void WKS4SpreadsheetInternal::State::pushNewSheet | ( | shared_ptr< Spreadsheet > | sheet | ) |
| inline

create a new sheet and stack id

## Member Data Documentation

long WKS4SpreadsheetInternal::State::m_eof

the last file position

int WKS4SpreadsheetInternal::State::m_hasLICSCharacters

int to code if the file has LICS characters:-1 means unknown, 0 means no, 1 means yes

std::vector<shared_ptr<Spreadsheet> > WKS4SpreadsheetInternal::State::m_spreadsheetList

the list of spreadsheet ( first: main spreadsheet, other report spreadsheet )

std::stack<shared_ptr<Spreadsheet> > WKS4SpreadsheetInternal::State::m_spreadsheetStack

the stack of spreadsheet id

StyleManager WKS4SpreadsheetInternal::State::m_styleManager

the style manager

int WKS4SpreadsheetInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- WKS4Spreadsheet.cpp